package ru.dbotthepony.mc.otm.block.entity

import net.minecraft.util.StringRepresentable
import net.minecraft.world.level.block.state.properties.EnumProperty

enum class WorkerState : StringRepresentable {
	IDLE,
	WORKING,
	ERROR;

	companion object {
		@JvmField
		val WORKER_STATE: EnumProperty<WorkerState> = EnumProperty.create("worker", WorkerState::class.java)
		@JvmField
		val SEMI_WORKER_STATE: EnumProperty<WorkerState> = EnumProperty.create("worker", WorkerState::class.java, IDLE, WORKING)
	}

	override fun getSerializedName(): String {
		return if (this == IDLE) "idle" else if (this == WORKING) "working" else "error"
	}
}
